commandwindow
clear all
clc
bdclose all

Kp = 15
Tp = sqrt(21)
zetavalues = [0.1:0.2:1.5]
pog = length(zetavalues)
Ufinal = 3
ssvalue = Ufinal*Kp
for i = 1:pog
    zeta = zetavalues(i)
[t,x,y] = sim('second_ord', [0:0.5:350],[],[0 Ufinal]) 
plot(t,y)
hold on
end
bend=length(y)
solo=ones(bend,1)
ssvalueg = ssvalue*ones(bend,1)
plot(t,ssvalueg)
legend('\zeta = 0.1','\zeta = 0.2','\zeta = 0.3','\zeta = 0.4','\zeta = 0.5','\zeta = 0.6','\zeta = 0.7','\zeta = 0.8','\zeta = 0.9','\zeta = 1.0','\zeta = 1.1','\zeta = 1.2','\zeta = 1.3','\zeta = 1.4','\zeta = 1.5')
% Graph shows conditions at which a system can be critically damped, overdamped and underdamped